dlarnv.f(3)

NAME
dlarnv.f -

SYNOPSIS

  Functions/Subroutines
subroutine dlarnv (IDIST, ISEED, N, X)
DLARNV returns a vector of random numbers from a uniform or normal distribution.

Function/Subroutine Documentation

  subroutine dlarnv (integerIDIST, integer, dimension( 4 )ISEED, integerN, double precision, dimension( * )X)

DLARNV returns a vector of random numbers from a uniform or normal distribution.

Purpose:

     DLARNV returns a vector of n random real numbers from a uniform or
     normal distribution.

Parameters:
    IDIST

              IDIST is INTEGER
              Specifies the distribution of the random numbers:
              = 1:  uniform (0,1)
              = 2:  uniform (-1,1)
              = 3:  normal (0,1)

    ISEED

              ISEED is INTEGER array, dimension (4)
              On entry, the seed of the random number generator; the array
              elements must be between 0 and 4095, and ISEED(4) must be
              odd.
              On exit, the seed is updated.

    N

              N is INTEGER
              The number of random numbers to be generated.

    X

              X is DOUBLE PRECISION array, dimension (N)
              The generated random numbers.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    September 2012

Further Details:

      This routine calls the auxiliary routine DLARUV to generate random
      real numbers from a uniform (0,1) distribution, in batches of up to
      128 using vectorisable code. The Box-Muller method is used to
      transform numbers from a uniform to a normal distribution.

Definition at line 98 of file dlarnv.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.